# Empty the trash

`DELETE /v1/workspaces/{workspaceId}/trash`

Permanently deletes everything in a workspace's trash. Cannot be undone.

Scope: `docs:write`.

## Request

```bash
curl -X DELETE "https://api.lydie.co/v1/workspaces/01JCQ3TZ0WJ8K4M2X7T9R6N1PA/trash" \
  -H "Authorization: Bearer $LYDIE_TOKEN"
```

## Path parameters

- `workspaceId` (string, required): (1–64 chars)

## Response

- `purgedIds` (ULID[], required)

```json
{
  "purgedIds": [
    "01JCQ3V5MZ8G4ZK2X7T9R6N1PB"
  ]
}
```

Errors use the envelope described at https://developers.lydie.co/errors.md.
